" vim:ts=4:sw=4:
" Vim user syntax support file
" Maintainer:	David Edwards <dee.engineering@usa.net>
" Last change:	02/26/00

" This is my custom syntax file to override the defaults
" provided with Vim.

" It sets the default highlighting methods, and installs autocommands for
" the syntax files that I wish to have customized.

if has("syntax")

"	let html_no_rendering=1

	if &term == "vt100"
		set background=dark
		set term=ansi
	endif

" Override a few of the default colors
	if &background == "dark"
"		hi Comment	  term=bold ctermfg=LightGreen	gui=bold guifg=#60ff60
"		hi Constant	  term=bold ctermfg=Cyan		gui=NONE guifg=#80a0ff
	 	hi PreProc    term=underline ctermfg=White 	gui=NONE guifg=#ff80ff
	else
		hi Comment	  term=NONE ctermfg=DarkGreen	gui=NONE guifg=#008080
		hi Constant   term=bold ctermfg=DarkRed		gui=NONE guifg=Red
		hi Special    term=bold ctermfg=DarkGray	gui=NONE guifg=DarkGray
		hi Identifier term=bold ctermfg=DarkCyan	gui=bold guifg=#0080C0
		hi Statement  term=bold ctermfg=DarkBlue	gui=NONE guifg=Blue
		hi PreProc    term=bold ctermfg=Brown		gui=bold guifg=Orange
	endif

  augroup syntax

  " ANSYS macros
  au! BufNewFile,BufReadPost *.mac,*.log,*.inp,*.parm
  au  BufNewFile,BufReadPost *.mac,*.log,*.inp,*.parm	so ansys.vim
  
  augroup END


endif
" vim: ts=4
